"""create table for cars

Revision ID: 2f6a3c5d1e88
Revises: 6ab3ef7c9fbc
Create Date: 2023-05-25 11:21:43.628525

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.sql import func
import uuid

# revision identifiers, used by Alembic.
revision = '2f6a3c5d1e88'
down_revision = '6ab3ef7c9fbc'
branch_labels = None
depends_on = None


def upgrade():
    op.create_table(
        'cars',
        sa.Column('id', sa.String(36), primary_key=True, default=lambda: str(uuid.uuid4())),
        sa.Column('name', sa.String(), nullable=False, unique=True),
        sa.Column('created_at', sa.DateTime(), server_default=func.now()),
        sa.Column('updated_at', sa.DateTime(), server_default=func.now(), onupdate=func.now()),
        sa.Index('ix_cars_name', 'name', unique=True)
    )


def downgrade():
    op.drop_table('cars')